<?php
//  Synopsis:    Tools for the other scripts
//  Author:      Dirk Henrici
//  Created:     2005-11-09
//  Last update: 2005-12-12
//  Comment:     Requires php5

//checking whether is installed
if (version_compare(phpversion(), "5.0.0", "<")) {
  echo 'PHP version 5.0 or higher required; you are currently using version '. phpversion(). ".\n";
  exit(1);
} 

  function GetFilename() {
    global $argv;
    $file = $argv[1];
    if ($file)
      if (file_exists($file)) {
        return $file;
      } else {
        echo "Fehler: Datei [$file] nicht gefunden!\n";
        return false;
      }
  }

  function ExecuteTools($execfunctions_ante, $execfunctions_xml, $execfunctions_post) {
    if ($filename = GetFilename()) {
      foreach ($execfunctions_ante as $func)
        $func($filename);
      $doc = new domDocument;
      $doc->load($filename);
      foreach ($execfunctions_xml as $func)
        $func($filename, $doc);
      $doc->save($filename);
      foreach ($execfunctions_post as $func)
        $func($filename);
    } else {
      echo 'Usage: '. basename($argv[0]). " <filename>\n\n";
    }
  }
?>
