package eLecture;

/**
 * @author seb
 *
 * wrap information provided by a topic element of the XML input file.
 */
public class Topic {
	
	/**
	 * topic's metadata. can be null
	 */
	private Metadata metadata;
	/**
	 * list of all slides of a topic
	 */
	private Slide[] slides = null;
	
	public Topic(Slide[] slides, Metadata metadata) {
		this.metadata = metadata;
		this.slides = slides;
	}

	public Slide[] getSlides() {
		return slides;
	}

	public void setSlides(Slide[] slides) {
		this.slides = slides;
	}

	public Metadata getMetadata() {
		return metadata;
	}
}
