<?php
//  Synopsis:    Convert wav to mp3 for speech in web-presenter
//  Author:      Dirk Henrici
//  Created:     2005-10-14
//  Last update: 2005-12-07
//  Comment:     Requires php5, lame
  
  //Aufruf fr LAME (Mono, 64bit, 8kHz-Samplefrequenz, slower High-Quality-Coding)
  global $lamecommand;
  $lamecommand = 'lame -m m -b 64 --resample 8 -h';

  function WebPresenter_wav2mp3($file, &$doc) {
    global $lamecommand;

    echo "wav2mp3: Beginn der Verarbeitung von Datei [$file]...\n";

    $success = true;
    $audio = $doc->getElementsByTagName('audio');
    foreach ($audio as $audioelement) {
      $audiofilename = trim($audioelement->getAttribute('filename'));
      $extpos = strrpos($audiofilename, '.');
      //auf .wav als Dateiendung prfen
      if ((substr($audiofilename, $extpos)=='.wav') and ($extpos + 4 == strlen($audiofilename))) {
        echo "Info: Wandele Datei $audiofilename ins mp3-Format...\n";
        $mp3filename = substr($audiofilename, 0, $extpos). '.mp3';
        //LAME zur Konvertierung aufrufen
        passthru($lamecommand. ' '. dirname($file). '/'. escapeshellarg($audiofilename). ' '. dirname($file). '/'. escapeshellarg($mp3filename), $errcode);
        if ($errcode==0) {
          //bei Erfolg XML-Datei anpassen
          $audioelement->setAttribute('filename', $mp3filename);
        } else {
          $success = false;
          echo "  Fehler: LAME lieferte Fehler $errcode zurck.\n";
        }
      } else {
        if (substr($audiofilename, $extpos)=='.mp3') {
          echo "  Info: $audiofilename ist bereits im mp3-Format.\n";
        } else {
          echo "  Warnung: $audiofilename ist keine Wave-Datei. Wird bergangen.\n";
        }
      }
    }
  
    if ($success) echo "wav2mp3: Verarbeitung der Datei [$file] ohne Fehler abgeschlossen.\n";

    return $success;
  } 
?>
