package eLecture;

import generator.SvgDocument;
import java.io.File;

/**
 * @author seb
 *
 * wrap input informationen (InputWrapper), output file which should be generated 
 * and the SVG document which is constructed
 *
 */
public class DocumentWrapper {
	private InputWrapper inputWrapper;
	private File output;
	private SvgDocument doc = null;
	private boolean scale = false;
	
	public DocumentWrapper(InputWrapper inputWrapper, File output) {
		this.inputWrapper = inputWrapper;
		this.output = output;
	}

	public InputWrapper getInputWrapper() {
		return inputWrapper;
	}

	public File getOutput() {
		return output;
	}

	public SvgDocument getDoc() {
		return doc;
	}

	public void setDoc(SvgDocument doc) {
		this.doc = doc;
	}

	public boolean isScale() {
		return scale;
	}

	public void setScale(boolean scale) {
		this.scale = scale;
	}
}
