package eLecture.annotation;

import eLecture.Location;

/**
 * @author seb
 * 
 * Concrete <code>Annotation</code>. Class represents a laserpointer. 
 * <code>diameter</code> is an extra attribute.
 * 
 */
public class Laserpointer extends Annotation {
	private int diameter;
	public Laserpointer(long timestamp, String color, String diameter, 
			String transparency, Location[] locations) { 
		super(timestamp, color, transparency, locations);
		this.diameter = Integer.parseInt(diameter);
	}
	
	public int getDiameter() {
		return diameter;
	}
}
