package generator;


/**
 * @author seb
 *
 * creation of SVG elements is very effectiv with one statement. Reduction of 
 * source code.
 * 
 */
public class SVGUtil {
	
	public static SvgElement createElement(String eName, SvgElement parent,
		String[][] attributes) {
		return createElement(eName, parent, attributes, null);
	}
	
	public static SvgElement createElement(String eName, SvgElement parent, 
			String[][] attributes, String text) {
		SvgElement e = new SvgElement(eName, parent);
		parent.addContent(e);
		if (attributes == null) return e;
		int i;
		int size = attributes.length;
		String aName, aValue;
		for (i = 0; i < size; i++) {
			aName = attributes[i][0];
			aValue = attributes[i][1];
			e.addAttribute(aName, aValue);
		}
		if (text != null) e.addText(text);
		return e;
	}
	
	public static SvgElement createElement(String eName, SvgElement parent, 
		String text) {
		SvgElement e = new SvgElement(eName, parent);
		parent.addContent(e);
		e.addText(text);
		return e;
	}
	
	public static SvgElement createElement(String eName, SvgElement parent) {
		SvgElement e = new SvgElement(eName, parent);
		parent.addContent(e);
		return e;
	}

	
}
